For Developers

Download Submission File

This endpoint is only supported by integrations using Canvas or Schoology data sources.

A prior version of this endpoint was available at [...]/attachments/:attachment_id/download. This endpoint is deprecated and will be removed in a future release. It will remain available for now, but we recommend using the new endpoint.

GET https://ed.link/api/v2/graph/classes/:class_id/assignments/:assignment_id/submissions/:submission_id/files/:file_id/download

Download a File associated with a Submission. Although other types of items may be attached to submission attempts, only files can be downloaded.

Request Parameters

ParameterTypeDescription
class_idstringThe UUID of the desired Class.
assignment_idstringThe UUID of the desired Assignment.
submission_idstringThe UUID of the desired Submission.
file_idstringThe UUID of the desired File.

Response Body

This returns the file in a standard HTTP file download response. The response will contain the Content-Disposition header with attachment; filename="the_filename.txt" to indicate that we are returning the full file. The body will be the raw bytes that make up whatever the file content is.

Sample Request

axios.get(`https://ed.link/api/v2/graph/classes/${class_id}/assignments/${assignment_id}/submissions/${submission_id}/files/${file_id}/download`, {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});
Due to elevated security risk of drive permissions required for Microsoft and Google, this endpoint will NOT work in the Graph API. It is only available in the User API, after setting up a custom client.

Supported Providers

  • blackboard
  • brightspace
  • canvas
  • google
  • microsoft
  • schoology
  • schoolbox